# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2015  Delta Comm LLC (<http://www.delta-comm.ge>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp.osv import fields, osv
from openerp.tools.translate import _


class purchase_order(osv.osv):
    _name = 'purchase.order'
    _inherit = 'purchase.order'
    
    PURCHASE_TYPE_SELECTION = [
            (1, _('General')),
            (2, _('Asset as Product')),
            (3, _('Asset')),
            (4, _('Fleet Service')),
            (5, _('Capital Modernization'))
            ]

    def onchange_purchase_type(self, cr, uid, ids, purchase_type, order_line):
        """
        * Method to override in order to provide on_change functionality
          for 'purchase_type' field.
        """
        value = {}
        return {'value':value}

    _columns = {
            'purchase_type': fields.selection(PURCHASE_TYPE_SELECTION, 'Purchase Type', states={'confirmed':[('readonly',True)], 'approved':[('readonly',True)],'done':[('readonly',True)]}),
    }
    _defaults = {
            'purchase_type': 1,
    }

purchase_order()


# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

